> ## Documentation Index
> Fetch the complete documentation index at: https://docs.convertly.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a webhook

> Create a webhook endpoint and receive the signing secret once. Requires workspace owner or admin.



## OpenAPI

````yaml /openapi.json post /api/webhooks
openapi: 3.1.0
info:
  title: Convertly API
  version: 1.0.0
  description: >-
    Convertly provides production API endpoints for media conversion,
    compression, Image CDN delivery, Forma AI, HLS/DASH video streaming, media
    tools, async jobs, workflows, webhooks, and Convertly Storage.
  license:
    name: Proprietary
    url: https://convertly.sh/terms
servers:
  - url: https://convertly.sh
security:
  - bearerAuth: []
  - apiKeyAuth: []
paths:
  /api/webhooks:
    post:
      tags:
        - Webhooks
      summary: Create a webhook
      description: >-
        Create a webhook endpoint and receive the signing secret once. Requires
        workspace owner or admin.
      operationId: createWebhook
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - endpoint_url
                - event_types
              properties:
                endpoint_url:
                  type: string
                  format: uri
                event_types:
                  type: array
                  items:
                    type: string
                    enum:
                      - conversion.started
                      - conversion.progress
                      - conversion.completed
                      - conversion.failed
                      - compression.started
                      - compression.progress
                      - compression.completed
                      - compression.failed
                      - file.uploaded
                      - file.created
                      - file.updated
                      - file.deleted
                      - ai.transform.started
                      - ai.transform.completed
                      - ai.transform.failed
                      - recovery.created
                      - recovery.restored
                      - media.tool.started
                      - media.tool.completed
                      - media.tool.failed
                      - video.stream.started
                      - video.stream.ready
                      - video.stream.failed
                      - workflow.started
                      - workflow.completed
                      - workflow.partial
                      - workflow.failed
      responses:
        '200':
          description: Created webhook with secret
        '400':
          $ref: '#/components/responses/Error'
        '401':
          $ref: '#/components/responses/Error'
        '403':
          $ref: '#/components/responses/Error'
components:
  responses:
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
        upgradeUrl:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Dashboard-generated Convertly API key. Keys currently begin with
        `cvly_`.
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Alternative API key header for server-side clients.

````